Download File Version

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API returns the file content of the specified version in binary format. We are supporting a common API to download all file types.

The various domains and their respective download server domain URLs are:

  1. US: https://download.zoho.com
  2. AU: https://download.zoho.com.au
  3. EU: https://download.zoho.eu
  4. IN: https://download.zoho.in
  5. CN: https://download.zoho.com.cn
  6. JP: https://download.zoho.jp
  7. UAE: https://files.zoho.ae
  8. CA: https://download.zohocloud.ca
  9. SA: https://files.zoho.sa
Endpoints

OAuth Scope

WorkDrive.files.READZohoFiles.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url 'https://download.zoho.com/v1/workdrive/download/{resource_id}?version=file_version_number' \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

resource_idstring(Required)

The unique ID of the file.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

versionstring(Required)

Version number of the file needs to be downloaded.

Response Example

F7003

F7003

A001

R008

R008

F7004

F900

F900

F918

V001

200
200
400
401
402
403
404
422
423
451
500
Copied!
200 Success - File version downloaded successfully
400 BAD_REQUEST - Permission issues
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Unauthorized access"
      }
    ]
  }
                
402 PAYMENT_REQUIRED
  {
    "errors": [
      {
        "id": "R008",
        "title": "Authorization check failed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
404 Invalid DFS details
422 VIRUS_DETECTED
  {
    "errors": [
      {
        "id": "F900",
        "title": "Subversion access denied"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F918",
        "title": "Resource version is locked"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "V001",
        "title": "Virus detected in file"
      }
    ]
  }
                
500 Library not found or KMS token fetch failed
Show full